import { Module } from '@nestjs/common';
import { ConfigurationModule } from 'src/modules/config/config.module';
import { DatabaseModule } from '../database/database.module';
import { auditProviders } from './audit.providers';
import { AuditService } from './audit.service';

@Module({
  imports: [DatabaseModule, ConfigurationModule],
  exports: [AuditService],
  providers: [...auditProviders, AuditService],
})
export class AuditModule {}
