import { FactoryProvider } from '@nestjs/common';
import { DataSource, Repository } from 'typeorm';
import { AuditLog } from './audit.entity';

export const auditProviders: FactoryProvider<Repository<AuditLog>>[] = [
  {
    provide: 'AUDIT_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(AuditLog),
    inject: ['DATA_SOURCE'],
  },
];
