import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class Privilege {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ type: 'text', nullable: false })
  name: string;
}

/*
  Initial entries:
    admin
    admin:user
    admin:user:privilege
    admin:document
    admin:oauth2
    admin:audit
    self:oauth2
*/
